import java.awt.*;

// Definition der Klasse RECHTECK
public class RECHTECK{
    
    //Attribute
    int laenge;
    int breite;
    int xPosition;
    int yPosition;
    String fuellfarbe;
    boolean istSichtbar;
    
    //Konstruktor
    RECHTECK() {
        laenge=70;
        breite=40;
        xPosition = 60;
        yPosition = 50;
        fuellfarbe = "red";
        istSichtbar = false;
    }

    //Weitere Methoden
        
    void sichtbarMachen(){
        istSichtbar = true;
        zeichnen();
    }
     
    void unsichtbarMachen() {
        loeschen();
        istSichtbar = false;
    }
    
    void nachRechts(){
        bewegeHorizontal(20);
    }

    void bewegeHorizontal(int strecke){
        loeschen();
        xPosition = xPosition + strecke;
        zeichnen();
    }

    void breiteSetzen(int neueBreite){
        loeschen();
        breite = neueBreite;
        zeichnen();
    }
    
    //Zeichnet das Rechteck auf die Leinwand (falls sichtbar)
    private void zeichnen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.draw(this, fuellfarbe,
                        new Rectangle(xPosition, yPosition, laenge, breite));
            canvas.wait(10);
        }
    }

    //Lscht das Rechteck von der Leinwand
    private void loeschen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.erase(this);
        }
    }
}
    
        
//Ende der Klasse RECHTECK
